Did it support chinese language-pack extension

i download the chinese language-pack extension,but i think it doesn’t work

@goth thanks for the discussion :+1:

What exactly does not work? You’ll need to download the extension pack, and use the Configure Display Language command to switch.

image

what’s the Configure Display Language command.i can’t find it ,and i’ve downloaded the chinese language-pack extension

and this

@goth, looking at your side panel icons it seems like you’re running Theia version <1.18.0 (icons have been changed to use codicon in that release). However, i18n support has only been added recently in version 1.19.0, so you’ll have to update your Theia project to use it.

So how can I check the version information of my Theia and update it to the latest version?

and I think my Theia should be version 1.12.1
image
image

So how can I check the version information of my Theia

Using the Help -> About menu will usually show you a listing of all installed Theia extensions and their versions.

and update it to the latest version?

You will need to update the version of your @theia/* dependencies to point to a release >= 1.19.0 and then rebuild your application. Keep in mind that all @theia dependencies need to point to the same version or your build will break. Or are you consuming Theia differently, like through a prebuilt docker image?

Thank you for your answer. I’ll try